%define name	libmpcdec
%define version 20131223
%define release %mkrel 3

%define major	7
%define libname %mklibname mpcdec %major
%define libnamedev %mklibname mpcdec %major -d

Name: 	 	%{name}
Summary: 	Portable Musepack decoder library
Version: 	%{version}
Release: 	%{release}

Source:		http://files.musepack.net/source/libmpc-%{version}.tar.xz
Patch:		libmpc-CMakeLists.txt.patch
URL:		http://www.musepack.net/
License:	BSD
Group:		System/Libraries
BuildRequires:	%{_lib}cuefile-devel
BuildRequires:	%{_lib}replaygain-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Portable Musepack decoder library.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libnamedev}
Summary: 	Header files and development libraries from %name
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}
Provides: 	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}mpcdec-devel < %{version}

%description -n %{libnamedev}
Libraries and includes files for developing programs based on %name.

%package -n 	mpctools
Summary:	Tools for working with musepack files
Group:		Sound
Requires: 	%{libname} = %{version}

%description -n mpctools
Tools for working with musepack files. This includes decoder, encoder, 
cutter, ...

%prep
%setup -qn libmpc-%{version}
%apply_patches

%build
%cmake
%make
										
%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

# don't ship .la and .a files
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so

%files -n mpctools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sat Jan 25 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 20131223-3pclos2014
- fix confilcts tag in devel package ( < version is required because the devel package 
  itself provides also libmpcdec-devel)

* Thu Jan 09 2014 bb <bb> 20131223-2pclos2014
- remove obsoletes for devel package

* Mon Dec 23 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 20131223-1pclos2013
- 20131223
- now based on libmpc from musepack developers

* Thu Aug 21 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.2.6-1pclos2007
- New version 1.2.6

* Sun Nov 05 2006 Texstar <texstar@houston.rr.com> 1.2.2-2pclos2007
- Build for PCLinuxOS 2007

